Bug 332860 - Tools: Weighted Smoothing makes Mirror options inaccessible
Summary: Tools: Weighted Smoothing makes Mirror options inaccessible
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Krita Gemini (show other bugs)
Version: unspecified
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-31 14:19 UTC by Stuart Dickson
Modified: 2014-05-21 14:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Dickson 2014-03-31 14:19:03 UTC
Selecting "Weighted Smoothing" in the Tool panel adds new controls, which pushes the "mirror" controls down underneath the lower border
Comment 1 Halla Rempt 2014-04-01 16:16:45 UTC
Weirdly enough, the column is flickable,but it won't stay flicked up so you can access the buttons.
Comment 2 Halla Rempt 2014-04-01 16:17:02 UTC
Confirmed, I mean
Comment 3 Arjen Hiemstra 2014-05-21 14:19:40 UTC
Git commit 4680dbede9d0940923001d72e9fb5428373b801c by Arjen Hiemstra.
Committed on 21/05/2014 at 14:12.
Pushed by ahiemstra into branch 'master'.

sketch: Cleanup the Tool panel and tool config pages

It is not too surprising the panel cannot scroll when the container item
has a size of 0. This also cleans up most of the tool config pages that
contained way too many nested things. As a bonus, the RangeInput fields
in the tool panel now work again.
Related: bug 331772

M  +7    -2    krita/sketch/qml/panels/ToolPanel.qml
M  +47   -62   krita/sketch/qml/panels/toolconfigpages/crop.qml
M  +44   -86   krita/sketch/qml/panels/toolconfigpages/fill.qml
M  +59   -90   krita/sketch/qml/panels/toolconfigpages/gradient.qml
M  +3    -0    krita/sketch/qml/panels/toolconfigpages/move.qml
M  +155  -197  krita/sketch/qml/panels/toolconfigpages/paint.qml
M  +2    -2    krita/sketch/themes/default/colors.js

http://commits.kde.org/calligra/4680dbede9d0940923001d72e9fb5428373b801c